[Bug 960850] [NEW] confusing muon Mark Package alert on package removal

skierpage info at skierpage.com
Wed Mar 21 04:34:52 UTC 2012


Public bug reported:

Muon Package Manager: 1.3.0 in Kubuntu 12.04 amd64.

I'm running KDE 4.8.1, so I thought I would not need libqt4-qt3support.
`aptitude why` suggested it's only needed by libkopete4 and kopete that
I don't use, so I used Muon Package Manager to remove them.

When I then tried to "Mark for Removal" libqt4-qt3support in Muon, I get an alert:
    Unable to Mark Packages - Muon Package Manager
    The "libqt4-qt3support" package could not be marked for installation or upgrade:
    [blank]

1. I'm marking the package for removal, not "installation or upgrade".
2. The trailing colon makes it look as if there should be some reason following it, but nothing is shown.

It turns out there are a lot of packages besides kopete that need libqt4-qt3support
        % sudo dpkg --remove --dry-run   libqt4-qt3support
        dpkg: dependency problems prevent removal of libqt4-qt3support:
         k3b depends on libqt4-qt3support (>= 4:4.5.3).
         konqueror depends on libqt4-qt3support (>= 4:4.5.3).
         ktorrent depends on libqt4-qt3support (>= 4:4.6).
         libkde3support4 depends on libqt4-qt3support (>= 4:4.7.0).
         kamera depends on libqt4-qt3support (>= 4:4.5.3).
         kate depends on libqt4-qt3support (>= 4:4.5.3).
         kppp depends on libqt4-qt3support (>= 4:4.5.3).
         libk3b6 depends on libqt4-qt3support (>= 4:4.5.3).
         kdelibs5-plugins depends on libqt4-qt3support (>= 4:4.7.0).
        dpkg: error processing libqt4-qt3support (--purge):
         dependency problems - not removing

I don't know if muon is trying to give me this info in the alert.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: muon 1.3.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Tue Mar 20 16:55:12 2012
ProcEnviron:
 LANGUAGE=
 TERM=xterm
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
SourcePackage: muon
UpgradeStatus: Upgraded to precise on 2012-02-05 (44 days ago)

** Affects: muon (Ubuntu)
     Importance: Undecided
         Status: New


** Tags: amd64 apport-bug precise

-- 
You received this bug notification because you are a member of Kubuntu
Bugs, which is subscribed to muon in Ubuntu.
https://bugs.launchpad.net/bugs/960850

Title:
  confusing muon Mark Package alert on package removal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/muon/+bug/960850/+subscriptions



More information about the kubuntu-bugs mailing list